import type { Metadata } from 'next'
import { Inter } from 'next/font/google'
import './globals.css'
import Navbar from '@/app/_components/Navbar'
import ClientCounter from '@/app/_components/ClientCounter'

const inter = Inter({ subsets: ['latin'] })

export const metadata: Metadata = {
    title: 'test 2',
    description: 'Generated by create next app',
}

export default function RootLayout({
    children,
}: {
    children: React.ReactNode
}) {
    return (
        <html lang="en">
            <body className={inter.className}>
                <Navbar/>
                <ClientCounter text='layout counter'/>
                {children}
            </body>
        </html>
    )
}
